> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear una configuración de fuente entrante

> Aprovisiona una configuración de fuente entrante para el tenant autenticado. Cada configuración se valida contra la reserva de descubrimiento de entrada configurada antes de persistirse; una violación devuelve 422 POLLING_BUDGET_EXCEEDED.



## OpenAPI

````yaml es/openapi/v3-current/sta.yaml post /v1/inbound-source-configs
openapi: 3.1.0
info:
  description: >-
    API de Lerian STA — el rail del lado del participante que conecta la
    institución con el sistema de intercambio de archivos STA (Sistema de
    Transferência de Arquivos) del Banco Central do Brasil. Cubre las
    transferencias de archivos salientes y entrantes, la gestión de credenciales
    de BACEN, la configuración del sondeo de fuentes entrantes y el trust-store
    del tenant para los certificados de firma de mensajes.
  title: Lerian STA API
  version: v1.0.0
servers:
  - url: https://sta.sandbox.lerian.net
security:
  - BearerAuth: []
paths:
  /v1/inbound-source-configs:
    post:
      tags:
        - inbound-source-configs
      summary: Crear una configuración de fuente entrante
      description: >-
        Aprovisiona una configuración de fuente entrante para el tenant
        autenticado. Cada configuración se valida contra la reserva de
        descubrimiento de entrada configurada antes de persistirse; una
        violación devuelve 422 POLLING_BUDGET_EXCEEDED.
      operationId: createInboundSourceConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInboundSourceConfigRequest'
              description: Inbound source config creation payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InboundSourceConfigView'
          description: Created
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: Error
      security:
        - BearerAuth: []
components:
  schemas:
    CreateInboundSourceConfigRequest:
      additionalProperties: false
      properties:
        bacenSystemCode:
          type: string
        bacenSystemFilterCode:
          type: string
        credentialId:
          type: string
        displayName:
          type: string
        intervalSeconds:
          format: int64
          type: integer
        maxFileSizeBytes:
          format: int64
          type: integer
        retentionDays:
          format: int64
          type: integer
        sourceProduct:
          type: string
        urgencyEnabled:
          type: boolean
      required:
        - sourceProduct
        - displayName
        - credentialId
        - intervalSeconds
        - bacenSystemCode
      type: object
    InboundSourceConfigView:
      additionalProperties: false
      properties:
        bacenSystemCode:
          type: string
        bacenSystemFilterCode:
          type: string
        createdAt:
          format: date-time
          type: string
        credentialId:
          type: string
        deletedAt:
          format: date-time
          type: string
        displayName:
          type: string
        id:
          type: string
        intervalSeconds:
          format: int64
          type: integer
        isEnabled:
          type: boolean
        maxFileSizeBytes:
          format: int64
          type: integer
        retentionDays:
          format: int64
          type: integer
        sourceProduct:
          type: string
        updatedAt:
          format: date-time
          type: string
        urgencyEnabled:
          type: boolean
      required:
        - id
        - sourceProduct
        - displayName
        - credentialId
        - intervalSeconds
        - bacenSystemCode
        - isEnabled
        - retentionDays
        - maxFileSizeBytes
        - urgencyEnabled
        - createdAt
        - updatedAt
      type: object
    Detail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          examples:
            - ERR-0001
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      description: JWT bearer token issued by the identity provider.
      scheme: bearer
      type: http

````